%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%define build_optimization 0
%{?_with_optimization: %{expand: %%global build_optimization 1}}
%define buildfor_mdk90  %(awk '{print ($4 == "9.0")}' %{_sysconfdir}/mandrake-release)
%define buildfor_mdk91  %(awk '{print ($4 == "9.1")}' %{_sysconfdir}/mandrake-release)
%define build_theora 0
%{?_with_theora: %{expand: %%global build_theora 1}}
%{?_without_theora: %{expand: %%global build_theora 0}}

%define version 1
%define pre rc0a
%define rel 0.rc0.7
%define name    xine-lib

%define major 1
%if %buildfor_mdk90
%define libname		libxine%major
%else
%define libname		%mklibname xine %major
%endif
%define bname xine
%define dvdnav 0.1.4

%if %build_plf
%define release %{rel}plf
%else
%define release %{rel}mdk
%endif


Name:        %{name}
Summary:     A Free Video Player (Libraries).
Version:     %{version}
Release:     %{release}
License:     GPL
Group:       System/Libraries
Source:      %name-%version-%{pre}.tar.bz2
# TODO: build vidix on amd64 and other arches?
Patch0:      xine-lib-1-rc0a-amd64.patch.bz2
Patch1:      xine-lib-1-rc0a-lib64.patch.bz2
Patch3:      xine-lib-1-rc0a-64bit-fixes.patch.bz2
URL:         http://xine.sourceforge.net
BuildRoot:   %_tmppath/%{name}-buildroot
Buildrequires: aalib-devel
Buildrequires: esound-devel
Buildrequires: libvorbis-devel
Buildrequires: libspeex-devel
Buildrequires: libarts-devel
Buildrequires: libSDL-devel
Buildrequires: libmng-devel
Buildrequires: libflac-devel
Buildrequires: libgnome-vfs2-devel
%if %build_theora
Buildrequires: libtheora-devel
%endif
BuildRequires: autoconf2.5
%if %buildfor_mdk90 || %buildfor_mdk91
BuildRequires: automake1.6
%else
BuildRequires: automake1.7
%endif

%description 
xine is a free gpl-licensed video player for unix-like systems.

%package -n %{bname}-plugins
Summary:     	A Free Video Player (main plugins).
Group: 		Video
Provides: %bname-xv %bname-gl %bname-oss %libname-docs %bname-speex
Provides:  %bname-dvdnav %bname-alsa
Obsoletes: %bname-xv %bname-gl %bname-oss %libname-docs %bname-speex
Obsoletes: %bname-dvdnav %bname-alsa
Requires:  %libname >= %version-%release

%description -n %{bname}-plugins
xine is a free gpl-licensed video player for unix-like systems.

This package includes the main plugins for xine, they allow the input
from files, Video CDs, network streams and (not encrypted) DVDs in
several video formats.  For additional plugins (support for DVDs
protected by CSS or for non free codecs) you could try the packages
from the Penguin Liberation Front home page:

http://plf.zarb.org

That page is not connected to MandrakeSoft.
%if %build_optimization

Warning: This package was optimized for the build machine and probably won't 
run on other computers.
%endif 

%package -n %{bname}-dvdnav
Group: Video
Summary: DVD plugin for xine.
#Buildrequires: libdvdnav1-devel >= %dvdnav
#Requires: libdvdnav1 >= %dvdnav
Requires: %{bname}-plugins = %version-%release

%description -n %bname-dvdnav

xine-dvdnav provides DVD navigation support (including menus) to the
Xine media player. By default it only supports DVDs not scrambled with
CSS.

%package -n %libname
Summary:     	A Free Video Player (Libraries).
Group: 		System/Libraries

%description -n %libname
xine is a free gpl-licensed video player for unix-like systems.

This package contains the shared libraries required by xine.

%package -n %libname-devel
Summary:        Devel files for xine.
Group:          Development/C
Requires:	%libname = %version-%release
Provides:	libxine-devel = %version-%release
Requires:	zlib-devel
Requires:	XFree86-devel
Conflicts:	libxine-devel < %version

%description -n %libname-devel
xine is a free gpl-licensed video player for unix-like systems.

This package contains the development files required for compiling xine
front ends or plugins.

%package -n %{bname}-arts
Summary:        Arts plugin for xine.
Group:          Video
Requires:  %{bname}-plugins = %version-%release

%description -n %{bname}-arts
xine is a free gpl-licensed video player for unix-like systems.

- Arts audio output plugin

%package -n %{bname}-esd
Summary:        Esd plugin for xine.
Group:          Video
Requires:  %{bname}-plugins = %version-%release

%description -n %{bname}-esd
xine is a free gpl-licensed video player for unix-like systems.

- Esd audio output plugin

%package -n %{bname}-aa
Summary:        Aalib plugin for xine.
Group:          Video
Requires:  %{bname}-plugins = %version-%release

%description -n %{bname}-aa
xine is a free gpl-licensed video player for unix-like systems.

- Aalib textmode output plugin

%package -n %{bname}-dxr3
Summary:        DXR3 plugin for xine.
Group:          Video
%if %build_plf
BuildRequires:  libfame0.8-devel
BuildRequires:  librte0.4-devel
Requires:  %{bname}-plugins >= %version-%pre
%else
Requires:  %{bname}-plugins = %version-%release
%endif


%description -n %{bname}-dxr3
xine is a free gpl-licensed video player for unix-like systems.

- DXR3/Hollywood+ (MPEG2 hardware decoder) decoding/output plugin
%if %build_plf
- this version has mpeg encoding enabled using libfame
%endif

%package -n %{bname}-flac
Summary:        FLAC plugin for xine
Group:          Sound
Requires:  %{bname}-plugins = %version-%release

%description -n %{bname}-flac
xine is a free gpl-licensed video player for unix-like systems.

- FLAC audio decoder plugin

%package -n %{bname}-gnomevfs
Summary:        GNOME VFS plugin for xine
Group:          System/Libraries
Requires:  %{bname}-plugins = %version-%release

%description -n %{bname}-gnomevfs
xine is a free gpl-licensed video player for unix-like systems.

- GNOME VFS input plugin

%if  %build_plf
%if 0
%package -n %{bname}-divx4
Summary:     	Divx4 plugin for %{bname}
Group: 		Video
Requires:	%{bname}-plugins = %{version}
ExclusiveArch:	%ix86
Obsoletes:	xine-plugins-divx4
Provides:	xine-plugins-divx4
Requires:  %{bname}-plugins >= %version-%pre

%description -n %{bname}-divx4
This package contains the divx4linux plugin for %{bname}. It is in
PLF because it is covered by software patents.
%endif

%package -n %{bname}-faad
Summary:     	FAAD plugin for %{bname}
Group: 		Video
Requires:  %{bname}-plugins >= %version-%pre

%description -n %{bname}-faad
This package contains the AAC decoder plugin for %{bname}. It is in
PLF because it is covered by software patents.


%package -n %{bname}-win32
Summary:     	Win32 plugin for %{bname}
Group: 		Video
Requires:  %{bname}-plugins >= %version-%pre
Requires:	win32-codecs
ExclusiveArch:	%ix86
Obsoletes:	xine-plugins-win32
Provides:	xine-plugins-win32

%description -n %{bname}-win32
This package contains the win32 plugin for %{bname}. It is PLF because
it is requires binary codecs not part of Mandrake Linux.

%if 0
%package -n %{bname}-xvid
Summary:     	XviD plugin for %{bname}
Group: 		Video
Requires:  %{bname}-plugins >= %version-%pre
Obsoletes:	xine-plugins-xvid
Provides:	xine-plugins-xvid

%description -n %{bname}-xvid
This package contains the XviD plugin for %{bname}. It is in
PLF because it is covered by software patents.
%endif
%endif

%prep
%setup -q -n %name-%version-%pre
%patch0 -p1 -b .amd64
%patch1 -p1 -b .lib64
%patch3 -p1 -b .64bit-fixes
%if %buildfor_mdk90 || %buildfor_mdk91
aclocal-1.6 -I m4
automake-1.6
%else
aclocal-1.7 -I m4
automake-1.7
%endif
autoconf

%build
export LIBPNG_CONFIG=/usr/bin/libpng12-config
%if !%build_optimization
%configure2_5x \
%if %buildfor_mdk90
  --disable-alsa
%endif

%else
%{?__cputoolize: %{__cputoolize}}
#gw expanded configure2_5x macro without the CFLAGS and --build stuff
[ -f configure.in -o -f configure.ac ] && libtoolize --copy --force
./configure \
 	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--localstatedir=/var/lib \
	--sharedstatedir=%{_prefix}/com \
	--mandir=%{_datadir}/man \
	--infodir=%{_datadir}/info \
%if %buildfor_mdk90
  --disable-alsa
%endif

%endif

%make

%install

rm -rf %buildroot
#gw the transform trick is needed for mdk9.0
%makeinstall_std transform=""
(cd %buildroot/%_datadir/locale; mv pl_PL pl)
#clean out unpackaged files
rm -f %buildroot/%_libdir/xine/plugins/1.0.0/*.la
rm -f %buildroot/%_libdir/xine/plugins/1.0.0/post/*.la
rm -rf installed-docs
mv %buildroot/%_datadir/doc/xine installed-docs
%if !%build_plf
# clean the evil plf plugins :-) 
#rm -f %buildroot/%_libdir/xine/plugins/1.0.0/xineplug_decode_divx4.so
rm -f %buildroot/%_libdir/xine/plugins/1.0.0/xineplug_decode_faad.so
rm -f %buildroot/%_libdir/xine/plugins/1.0.0/xineplug_decode_qt.so
rm -f %buildroot/%_libdir/xine/plugins/1.0.0/xineplug_decode_w32dll.so
%endif
%find_lang libxine%{version}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{bname}-plugins -f libxine%{version}.lang
%defattr(-,root,root)
%doc COPYING installed-docs/*
%dir %_libdir/xine/
%dir %_libdir/xine/plugins/
%dir %_libdir/xine/plugins/1.0.0/
%dir %_libdir/xine/plugins/1.0.0/post/
%if ! %buildfor_mdk90
%_libdir/xine/plugins/1.0.0/xineplug_ao_out_alsa.so
%endif
%_libdir/xine/plugins/1.0.0/xineplug_ao_out_none.so
%_libdir/xine/plugins/1.0.0/xineplug_ao_out_oss.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_cdda.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_dvb.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_dvd.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_http.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_stdin_fifo.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_file.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_mms.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_net.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_pnm.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_pvr.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_rtp.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_rtsp.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_vcd.so
%_libdir/xine/plugins/1.0.0/xineplug_inp_v4l.so
%_libdir/xine/plugins/1.0.0/xineplug_dmx_*so
%_libdir/xine/plugins/1.0.0/xineplug_decode_28k8.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_a52.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_adpcm.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_cinepak.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_cyuv.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_dts.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_ff.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_fli.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_gsm610.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_idcinvideo.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_image.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_interplayaudio.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_interplayvideo.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_logpcm.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_lpcm.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_mad.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_mpeg2.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_msrle.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_msvc.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_nsf.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_pcm.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_qtrle.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_qtrpza.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_qtsmc.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_spu*.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_svq1.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_real.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_real_audio.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_rgb.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_roq*.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_speex.so
%if %build_theora
%_libdir/xine/plugins/1.0.0/xineplug_decode_theora.so
%endif
%_libdir/xine/plugins/1.0.0/xineplug_decode_vorbis.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_wc3video.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_yuv.so
%_libdir/xine/plugins/1.0.0/xineplug_decode_yuv_frames.so
%_libdir/xine/plugins/1.0.0/xineplug_vo_out_fb.so
#%_libdir/xine/plugins/1.0.0/xineplug_vo_out_opengl.so
%_libdir/xine/plugins/1.0.0/xineplug_vo_out_sdl.so
%_libdir/xine/plugins/1.0.0/xineplug_vo_out_syncfb.so
%_libdir/xine/plugins/1.0.0/xineplug_vo_out_none.so
%ifarch %{ix86}
%_libdir/xine/plugins/1.0.0/xineplug_vo_out_vidix.so
%endif
%_libdir/xine/plugins/1.0.0/xineplug_vo_out_xshm.so
%_libdir/xine/plugins/1.0.0/xineplug_vo_out_xv.so
%_libdir/xine/plugins/1.0.0/post/xineplug_post_goom.so
%_libdir/xine/plugins/1.0.0/post/xineplug_post_mosaico.so
%_libdir/xine/plugins/1.0.0/post/xineplug_post_planar.so
%_libdir/xine/plugins/1.0.0/post/xineplug_post_switch.so
%_libdir/xine/plugins/1.0.0/post/xineplug_post_tvtime.so
%_libdir/xine/plugins/1.0.0/post/xineplug_post_visualizations.so
%ifarch %{ix86}
%_libdir/xine/plugins/1.0.0/vidix/
%endif
%_datadir/xine

%files -n %libname
%defattr(-,root,root)
%doc README COPYING ChangeLog AUTHORS TODO
%_libdir/libxine*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc README COPYING
%_bindir/xine-config
%_mandir/man1/xine-config.1*
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/libxine.pc
%_datadir/aclocal/xine.m4
%_includedir/*.h
%_includedir/xine


%files -n %{bname}-arts
%defattr(-,root,root)
%doc README COPYING
%_libdir/xine/plugins/1.0.0/xineplug_ao_out_arts.so

%files -n %{bname}-esd
%defattr(-,root,root)
%doc README COPYING
%_libdir/xine/plugins/1.0.0/xineplug_ao_out_esd.so

%files -n %{bname}-aa
%defattr(-,root,root)
%doc README COPYING
%_libdir/xine/plugins/1.0.0/xineplug_vo_out_aa.so

%files -n %{bname}-flac
%defattr(-,root,root)
%doc README COPYING
%_libdir/xine/plugins/1.0.0/xineplug_flac.so

%ifarch %{ix86}
%files -n %{bname}-dxr3
%defattr(-,root,root)
%doc README COPYING
%_libdir/xine/plugins/1.0.0/xineplug_*dxr3*.so
%endif

%files -n %{bname}-gnomevfs
%defattr(-,root,root)
%doc README COPYING
%_libdir/xine/plugins/1.0.0/xineplug_inp_gnome_vfs.so

%if %build_plf
%if 0
%files -n %{bname}-divx4
%defattr(-,root,root)
%_libdir/xine/plugins/1.0.0/xineplug_decode_divx4.so*
%endif

%files -n %{bname}-faad
%defattr(-,root,root)
%_libdir/xine/plugins/1.0.0/xineplug_decode_faad.so*

%files -n %{bname}-win32
%defattr(-,root,root)
%_libdir/xine/plugins/1.0.0/xineplug_decode_qt.so*
%_libdir/xine/plugins/1.0.0/xineplug_decode_w32dll.so*

%if 0
%files -n %{bname}-xvid
%defattr(-,root,root)
%_libdir/xine/plugins/1.0.0/xineplug_decode_xvid.so*
%endif
%endif

%changelog
* Mon Sep  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc0.7mdk
- add more docs

* Sun Sep  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc0.6mdk
- update descriptions
- prepare for theora
- fix build on older Mandrakes
- fix buildrequires
- drop patch 2 (obsoleted by aclocal call)
- update patch 1 to patch the m4 files instead of aclocal

* Fri Sep  5 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1-0.rc0.5mdk
- intial amd64 support
- lib64, libtool, 64-bit fixes

* Sat Aug  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc0.4mdk
- enforce dependancy on the right prerelease version
- merge dvdnav, alsa oss into xine-plugins, they don't have external deps

* Mon Aug  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc0.3mdk
- merge speex plugin into xine-plugins, as the Ogg demuxer requires libspeex
- disable alsa for mdk9.0

* Sat Aug  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc0.2mdk
- remove source1, they've noticed the missing source file
- update to 1.0rc0a

* Fri Aug  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc0.1mdk
- add new plugins: post_tvtime post_planar ao_out_none decode_image and pcm 
- remove post plugin invert
- add missing source file xine_encoder.c from CVS
- fix libpng detection
- enable speex
- fix buildrequires
- new version

* Fri Jul 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12.6mdk
- rebuild for new rpm

* Tue Jun 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12.5mdk
- the devel package requires XFree86-devel (output of xine-config --libs)

* Mon May 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12.4mdk
- arrgh, fix the with stuff

* Mon May 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12.3mdk
- fix buildrequires
- mklibname

* Tue May 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12.2mdk
- plf: fix faad plugin, it's not exclusive to the x86 architecture
- buildrequires cleanup

* Mon May 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12.1mdk
- add decode_28k8 plugin
- new version

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta11.1mdk
- new version
- fix distriblint warnings

* Fri Apr 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta10.3mdk
- add a --with optimization switch to allow compilation of an optimized package

* Fri Apr 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta10.2mdk
- rebuild to fix broken source package

* Wed Apr  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta10.1mdk
- new version

* Thu Mar 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta9.2mdk
- devel package needs zlib-devel
- revert mklibname change, conflicts with --with option

* Thu Mar 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta9.1mdk
- mklibname macro
- add the new plugins: post_mosaico, post_switch, inp_pvr and inp_rtp
- new version

* Thu Jan 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta4.1mdk
- drop patch
- new version

* Wed Jan 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta3.1mdk
- put back make install fix for Mandrake 9.0 builds
- add buildrequires for libmng1-devel
- add new plugins: post_visualizations, nsf, yuv_frames, cdda, v4l
- add new subpackages for the flac and gnomevfs plugins
- drop docs subpackage and move remaining READMEs to xine-plugins
- patch in missing source file
- new version

* Thu Jan  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta2.1mdk
- add new plugins: post_goom, interplayaudio, interplayvideo~, inp_dvb
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta1.1mdk
- remove workaround for the bad %%configure2_5x macro 
- add the pkgconfig file 
- plf: add the decode_qt plugin to the win32 package
- add plugins: inp_net, inp_rtsp, sdl, syncfb
- new version

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta0.1mdk
- add translations 
- add framebuffer and post-processing plugins
- new version

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 1-0.alpha2.1mdk
- build with included dvdnav atm.
- include xine-dvdnav
- remove docs (not yet included)
- add new plugins: gsm610 idcinvideo, logpcm, qtlre, qtrpza, qtsmc, real,
  - wc3video, vo_out_none, real_audio, pnm 	
- disable plugins: fb, opengl, sdl, syncfb, divx4, xvid 
- fix makeinstall
- autoconf 2.5 macro
- remove patches
- remove the -mno-omit-leaf-frame-buffer option, not needed with cooker gcc
- major 1
- new version

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-9mdk
- remove unpackaged files after installation
- add missing plugins: rgb, yuv 

* Thu Oct 24 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.13-8mdk
- skip vidix on PPC

* Thu Oct 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-7mdk
- add missing xine.m4 macro file to devel package

* Wed Oct 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.13-6mdk
- patch 1 : fix segfault when streaming 

* Tue Oct 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-5mdk
- rename polish locale to please rpmlint
- move xine-oss to xine-plugins package, so we always have a sound driver

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.13-4mdk
- fix doc subpackage group

* Fri Aug 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-3mdk
- remove buildrequires on doxygen
- build plf version with rte support
- build plf version with libfame0.8 as 0.9 doesn't work 

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-2mdk
- add -mno-omit-leaf-frame-pointer to CFLAGS to fix win32 codecs

* Sun Aug  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-1mdk
- clean up buildrequires
- 0.9.13
- merge with plf package, enable with --with plf

* Mon Jun 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.12-1mdk
- add ChangeLog, AUTHORS, TODO  to the docs
- 0.9.12

* Fri Jun 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.11a-2mdk
- add the vidix plugins missing in the last release

* Fri Jun 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.11a-1mdk
- add adpcm, cyuv, roq*, svq1, msvc, vidix plugins
- buildrequires doxygen
- new version

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.10-4mdk
- Add support for DXR3/Hollywood+ card

* Mon Jun  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.10-3mdk
- fix buildrequires
- add SDL plugin

* Tue May 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.10-2mdk
- fix libarts buildrequires
- merge xv and gl package into main xine-plugins
- call libtoolize to fix build

* Sun May 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.10-1mdk
- remove xine-logoconv
- adapt major version
- new version

* Mon Apr 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- add opengl support
- 0.9.9
- enable alsa 0.9

* Sat Feb 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-4mdk
- fix group
- better descriptions
- update URL of the Penguin Liberation Front

* Tue Jan 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-3mdk
- rebuild for missing binary rpms

* Thu Jan 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-2mdk
- added frame buffer output plugin

* Thu Jan 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-1mdk
- major number changed to 0.9.8
- updated file list
- 0.9.8

* Thu Dec 20 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-3mdk
- removed plugin libtool files from devel package
- removed xine-extra and divx plugin, they are now in PLF packages
- updated description of xine-plugins 

* Tue Dec 18 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- updated description of xine-plugins

* Tue Dec 11 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- 
- changed major version number to 0.9.7_0
- 0.9.7
- remove workaround for alsa build, kernel-headers work again

* Thu Nov 29 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-1mdk
- add kernel-source includes to cflags to enable alsa build
- 0.9.6

* Mon Nov 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-2mdk
- clean documentation dir
- add some documentation files everywhere
- fixed major version number
- fixed naming scheme of packages to be more xmms-like
- dropped patch

* Sun Nov 25 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- 0.9.5

* Thu Nov 22 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-2mdk
- fixed Group
- patch to include version number in plugin/skin dirs
- add man page for xine-config
- updated BuildRequires
- removed duplicated files from libxine0
- moved man pages to doc package
- moved xine-config to devel
- updated descriptions for the plugin packages

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-1mdk
- 0.9.4

